package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 任务开发(DmpDevelopTask)实体类
 *
 * @author Bellamy
 * @since 2020-12-22 16:37:54
 */
public class DmpDevelopTask implements Serializable {
    private static final long serialVersionUID = 492051123327188782L;
    /**
     * ID
     */
    private Integer id;
    /**
     * 数据源ID
     */
    private Integer datasourceId;
    /**
     * 任务类型
     */
    private String taskType;
    /**
     * 类型
     */
    private String type;
    /**
     * 调度类型
     */
    private String scheduleType;
    /**
     * 是否已提交
     */
    private String isSubmit;
    /**
     * 描述
     */
    private String taskDesc;
    /**
     * 脚本
     */
    private Object script;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 创建用户ID
     */
    private String createUserId;
    /**
     * 数据创建时间
     */
    private Date createTime;
    /**
     * 创建用户ID
     */
    private String updateUserId;
    /**
     * 数据更新时间
     */
    private Date updateTime;
    /**
     * tree ID
     */
    private Integer treeId;
    /**
     * 校验状态:SUCCEED 成功, FAIL 失败
     */
    private String chkResult;
    /**
     * 同步状态:SUCCEED 成功，FAIL 失败
     */
    private String syncResult;
    /**
     * 最终校验时间
     */
    private Date chkTime;
    /**
     * 最终同步时间
     */
    private Date syncTime;

    private String flowHeader;

    private Object flowJson;

    private String version;

    private Integer isGziped;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDatasourceId() {
        return datasourceId;
    }

    public void setDatasourceId(Integer datasourceId) {
        this.datasourceId = datasourceId;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getScheduleType() {
        return scheduleType;
    }

    public void setScheduleType(String scheduleType) {
        this.scheduleType = scheduleType;
    }

    public String getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(String isSubmit) {
        this.isSubmit = isSubmit;
    }

    public String getTaskDesc() {
        return taskDesc;
    }

    public void setTaskDesc(String taskDesc) {
        this.taskDesc = taskDesc;
    }

    public Object getScript() {
        return script;
    }

    public void setScript(Object script) {
        this.script = script;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getTreeId() {
        return treeId;
    }

    public void setTreeId(Integer treeId) {
        this.treeId = treeId;
    }

    public String getChkResult() {
        return chkResult;
    }

    public void setChkResult(String chkResult) {
        this.chkResult = chkResult;
    }

    public String getSyncResult() {
        return syncResult;
    }

    public void setSyncResult(String syncResult) {
        this.syncResult = syncResult;
    }

    public Date getChkTime() {
        return chkTime;
    }

    public void setChkTime(Date chkTime) {
        this.chkTime = chkTime;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public String getFlowHeader() {
        return flowHeader;
    }

    public void setFlowHeader(String flowHeader) {
        this.flowHeader = flowHeader;
    }

    public Object getFlowJson() {
        return flowJson;
    }

    public void setFlowJson(Object flowJson) {
        this.flowJson = flowJson;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getIsGziped() {
        return isGziped;
    }

    public void setIsGziped(Integer isGziped) {
        this.isGziped = isGziped;
    }

}